#! /bin/csh -f
#
#  Wedger Elves automatically generated mosflm script
#
# 
# option to integrate after refining
set integ = ""
if("$1" =~ integ*) set integ = ""
#
# temporary file prefix
set tempfile = ${CCP4_SCR}/mosflm_temp$$
set outfile  = raw.mtz
#
#
/programs/ccp4-7.0/bin/ipmosflm HKLOUT ${tempfile}.mtz	\
         SPOTOD  ${tempfile}.spotod	\
         SUMMARY logs/mosflm.xlog	\
         COORDS  ${tempfile}.coords << eof-ipmosflm
#
TITLE Raw data wedge from Pin2_1_00###.img 1 to 180 at lambda= 0.999945
#
GENFILE ${tempfile}.gen
#
# the following keywords were not understood by Wedger Elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER omega 90 ROTATION horiz ANTI FAST horiz ORIGIN UR RECTANG ADSC
OVERLOAD CUTOFF 65535
GAIN 0.3
LIMITS RMAX 9999 YMAX 314.573 XMAX 314.573 xscan 314.573 yscan 314.573

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.999945
DISPERSION    0.00014
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      200.115
BEAM          147.286 155.721
TWOTHETA      0
MATRIX        best.mat
#MISSETS       0.033346 -0.015223 0.001877 RESET
NEWMATRIX     postref.mat

# Crystal parameters
CELL          78.7671 78.7671 36.9191 90 90 90
SYMMETRY      P43212
RESOLUTION    1.20
MOSAIC        0.251007

# Frame filename breakdown
DIRECTORY     /data3/anonymous/pub/ALS/821/lyso
IDENTIFIER    Pin2_1_00
EXTENSION     .img
TEMPLATE Pin2_1_00###.img
#
# To run mosflm interactively,
# uncomment the following lines (and DON'T redirect output)
#IMAGE 1 PHI 0 TO 1
#GO
#END
#PLOT
#
REFI RESID 100
POSTREF FIX ALL
REFINE  FIX YSCALE
# Processing commands: 
PROCESS 1 to 180 START 0 ANGLE 1 ADD 0 BLOCK 45
GO
END

eof-ipmosflm
set mosflm_status = $status

# update mtz only after run is finished
if((! $mosflm_status)&&(-e ${tempfile}.mtz)&&("$integ" == "")) then 
    mv ${tempfile}.mtz ${outfile}
endif

# Life's messy, clean it up.
rm -f ${tempfile}.spotod >& /dev/null
rm -f ${tempfile}.coord  >& /dev/null
rm -f ${tempfile}.gen    >& /dev/null
rm -f ${tempfile}.mtz    >& /dev/null
ls fort* >& /dev/null
if(! $status) rm -f fort*


exit $mosflm_status
